# /themes

Get a paginated list of themes available in the current account

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Formstack API v2025.0",
    "version": "0.0.4"
  },
  "servers": [
    {
      "url": "https://www.formstack.com/api/v2025",
      "description": "Production server"
    },
    {
      "url": "https://staging-formstack.com/api/v2025",
      "description": "Staging server"
    },
    {
      "url": "https://dev-formstack.com/api/v2025",
      "description": "Development server"
    }
  ],
  "paths": {
    "/themes": {
      "get": {
        "tags": [
          "Themes"
        ],
        "description": "Get a paginated list of themes available in the current account",
        "operationId": "getAccountThemes",
        "parameters": [
          {
            "name": "pageNumber",
            "in": "query",
            "description": "Page number (1-based)",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/GetThemeListApiDto/properties/pageNumber"
            }
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "Number of items per page",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/GetThemeListApiDto/properties/pageSize"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Themes retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ThemeListDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad request"
          },
          "401": {
            "description": "Unauthorized"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PaginationApiDto": {
        "title": "Pagination Info",
        "description": "Pagination information",
        "properties": {
          "size": {
            "description": "The amount of records returned for this page",
            "type": "integer",
            "nullable": false
          },
          "pageNumber": {
            "description": "The current page number",
            "type": "integer",
            "nullable": false
          },
          "pageSize": {
            "description": "The actual page size",
            "type": "integer",
            "nullable": false
          },
          "totalElements": {
            "description": "The total amount of resources available",
            "type": "integer",
            "nullable": false
          },
          "totalPages": {
            "description": "The total amount of pages available, based on the pageSize",
            "type": "integer",
            "nullable": false
          }
        },
        "type": "object"
      },
      "ThemeDto": {
        "title": "Theme Details",
        "description": "Represents detailed theme information",
        "properties": {
          "id": {
            "description": "The ID of the theme",
            "type": "string",
            "nullable": false
          },
          "name": {
            "description": "The name of the theme",
            "type": "string",
            "nullable": false
          },
          "created": {
            "description": "Theme creation date",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "updated": {
            "description": "Theme last update date",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "version": {
            "description": "Theme version",
            "type": "integer",
            "nullable": true
          },
          "stockTemplate": {
            "description": "Whether this is a stock template",
            "type": "boolean",
            "nullable": false
          },
          "usage": {
            "description": "Number of forms using this theme",
            "type": "integer",
            "nullable": true
          },
          "isDefault": {
            "description": "Whether this is the default theme for the account",
            "type": "boolean",
            "nullable": false
          }
        },
        "type": "object"
      },
      "ThemeListDto": {
        "title": "Theme List Response",
        "description": "Paginated list of themes with metadata",
        "properties": {
          "page": {
            "$ref": "#/components/schemas/PaginationApiDto"
          },
          "themes": {
            "description": "Array of theme details",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ThemeDto"
            },
            "nullable": false
          }
        },
        "type": "object"
      },
      "GetThemeListApiDto": {
        "title": "Get Theme List Request",
        "description": "Request parameters for getting a paginated list of themes",
        "properties": {
          "pageNumber": {
            "description": "Page number (1-based)",
            "type": "integer",
            "default": 1,
            "minimum": 1,
            "nullable": true
          },
          "pageSize": {
            "description": "Number of items per page (10-100)",
            "type": "integer",
            "default": 25,
            "maximum": 100,
            "minimum": 10,
            "nullable": true
          }
        },
        "type": "object"
      }
    }
  },
  "tags": [
    {
      "name": "Themes",
      "description": "Themes control the visual styling applied to forms. Use these endpoints to list the themes in an account, copy a theme, delete a theme, list the forms using a theme, and assign a theme to a form. Deleting a theme switches its forms to the default theme."
    }
  ]
}
```